Passenger can't find apache installation

Hi all,

I’m trying install passenger to work as a module of my apache 2 server,
but the installation script is returning the follow message:

  • Apache 2…not found. I have searched for a hack all day and, every
    site says the same thing, to export some env variables like APXS2
    pointing to apxs executable under apache’s bin directory or to export
    the PATH pointing to apache’s bin directory. None of them worked and the
    script fails in the same place. So, i open some scripts in the passenger
    install script folder and saw that it searches for this variables.

My development config is:
OS: Ubuntu 10.10
rvm with ree, 1.8.7 and 1.9.2 ruby versions
apache 2.2 (I installed it by compiling the source code)

To install passenger I typed these follows commands:

[email protected]> gem install passenger
[email protected]> export APXS2=//bin/apxs
[email protected]> export PATH=$PATH//bin/
[email protected]> rvmsudo passenger-install-apache2-module

Anybody already had this problems?

PS.: sorry about my english. :wink:

Thanks in advance.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs